
; ************************************************************************
;
; This file contains settings which affect the operation of Mosaic.
; Do not edit this file unless you are sure you know what you are doing.
; If you do edit this file, keep a backup copy.
;
; Not all of the items mentioned here are officially supported options.
; Edit this file at your own risk.
;
; Copyright 1995 Microsoft, Inc.
; All Rights Reserved
;
; ************************************************************************

; NOTICE: This INI file is INSTALLED in the same directory as the Mosaic EXE.
; NOTICE: However, Mosaic looks for the INI file in the Windows directory.
; NOTICE: If Mosaic does not find an INI file in the Windows directory,
; NOTICE: it copies the one in the EXE directory there.
; NOTICE: If you are editing this file in the EXE directory, your changes
; NOTICE: will probably not take effect.  Edit the copy in the Windows
; NOTICE: directory instead.

; --------------------------------
;
; This section contains general settings for the operation of Mosaic
;
[Main]
Display Inline Images = yes
Anchor Underline = yes

; The Grey Background is for compatibility with NCSA Mosaic.  When set
; to yes, Mosaic forces the windows to have a grey background, instead
; of obeying the default Windows background color setting.
Grey Background=no

; Anchor_Visitation_Horizon controls how Mosaic colors links as being
; visited.  The unit is in days, so if you set it to 3, Mosaic will
; color all links visited in the last 3 days as visited.
Anchor_Visitation_Horizon=1

; History_Expire_Days tells Mosaic how many days of history to keep.
; For example, if you set it to 30, Mosaic will only keep item in
; your history file for 30 days.  A setting of -1 means never throw
; away history entries.  The history file is called globhist.htm
History_Expire_Days = -1

; Mosaic sometimes creates temporary files for use with external viewer
; programs.  If you set Delete_Temp_Files_On_Exit to yes, then Mosaic
; will delete those files when you exit from Mosaic
Delete_Temp_Files_On_Exit = yes

; The specification of the help file is relative to the EXE directory.
Help_File = help/topics.htm

; The specification of the hotlist file is relative to the Windows directory,
; where the hotlist file is stored.
Hotlist_File = hotlist.htm

; The specification of the globhist file is relative to the Windows directory,
; where the globhist file is stored.
Globhist_File = globhist.htm
Save_Session_History_On_Exit=no
Home Page=http://www.microsoft.com
Show Toolbar=yes

; Temp_Directory = c:\mytemp\

; --------------------------------
;
; This section is used to configure network servers
;
[Services]
Proxy_Server =
No_Proxy = <local>
NNTP_Server =

; --------------------------------
[Settings]
Anchor Color = 0,0,255
Anchor Color Visted = 0, 128, 128
Anchor Color Visited=0,128,128

; --------------------------------
[Document Windows]
width = 631
height = 628
x=0
y=0

; --------------------------------
; Margin settings are in inches
[PageSetup]
margin_left = 0.750000
margin_left = 0.75
margin_left = 0.75
margin_left = 0.75

; header/footer symbols
;
;       &w              window name
;       &u              URL
;       &d              date - american style mmm dd yyyy
;       &D              date - european style dd mmm yyyy
;       &t              time - AM/PM style HH:MM AM/PM
;       &T              time - 24 hour style HH:MM
;       &p              current page number
;       &P              total number of pages
;       &&              single ampersand ('&')
;
header_left = &w
header_right = Page &p of &P
footer_left = &D
footer_right = &t
margin_top=0.750000
margin_right=0.750000
margin_bottom=0.750000

; --------------------------------
[Document Caching]
Number = 4

; --------------------------------
[Image Caching]
Number = 50

; --------------------------------
[Helpers]
; mailto = c:\mymail\mymail.exe %s

; --------------------------------
;
; External viewers are configured by specifying a MIME type on a line of
; the form TYPE# where # is an integer.  The numbers must be contiguous.
; Then, set the MIME type = to the application you wish to use to view
; files of that type.  Insert %s where you want the filename of the viewer
; temp file to be substituted.
;
; TYPE0=image/jpeg
; TYPE1=image/gif
; image/jpeg = c:\myviewer\myviewer.exe %s
;
[Viewers]
TYPE0=text/html
TYPE1=text/plain
TYPE2=image/jpeg
TYPE3=image/gif
TYPE4=audio/basic
TYPE5=audio/x-aiff
TYPE6=audio/x-wav
TYPE7=image/tiff
TYPE8=application/postscript
TYPE9=video/mpeg
TYPE10=video/quicktime
TYPE11=video/x-msvideo
TYPE12=application/pdf
TYPE13=application/zip
TYPE14=application/msword
application/msword=winword.exe  %s

; --------------------------------
; Suffixes (file extensions) for a given MIME type are configured here.  These
; suffixes are not used for HTTP URL's, since the HTTP protocol specifies
; the MIME type, therefore Mosaic does not have to guess the MIME type by
; file extension.  MIME types which appear here must be defined in the [Viewers]
; section.
;
[Suffixes]
image/jpeg=.jpeg .jpg       
image/tiff=.tiff .tif       
image/gif=.gif       
text/html=.htm .html       
application/postscript=.ps .eps .ai       
text/plain=.txt .c .h .ini .sh       
video/mpeg=.mpeg .mpg       
video/quicktime=.qt .mov       
video/x-msvideo=.avi       
audio/basic=.au .snd       
audio/x-aiff=.aiff .aif       
audio/x-wav=.wav       
application/pdf=.pdf       
application/zip=.zip       
application/msword=.doc       

; --------------------------------
;
; Valid settings for an encoding are binary, 7bit, or 8bit
;
; image/jpeg = binary
; image/gif = binary
;
[Encodings]
image/jpeg=binary
image/tiff=binary
image/gif=binary
text/html=8bit
application/postscript=8bit
text/plain=7bit
video/mpeg=binary
video/quicktime=binary
video/x-msvideo=binary
audio/basic=binary
audio/x-aiff=binary
audio/x-wav=binary
application/pdf=binary
application/zip=binary
application/msword=binary

; --------------------------------
;
; MIME Descriptions contains the plain-language descriptions which
; appear in the external viewers dialog.
;
[MIME Descriptions]
image/jpeg=JPEG Images
image/tiff=TIFF Images
image/gif=GIF Images
text/html=HTML Documents
application/postscript=PostScript Files
text/plain=Text Files
video/mpeg=MPEG Files
video/quicktime=QuickTime Files
video/x-msvideo=Microsoft Video Files
audio/basic=Audio Files
audio/x-aiff=AIFF Files
audio/x-wav=WAVE Files
application/pdf=PDF Files
application/zip=Zip Files
application/msword=Microsoft Word

; --------------------------------
;
; HowToPresent specifies, for each MIME type, what presentation
; method will be used.
; 0 - Built in viewer
; 1 - External viewer
; 2 - Mosaic SDI External Viewer
; 3 - Don't present - just save to disk
;
[HowToPresent]
image/jpeg=0
image/gif=0
text/html=0
text/plain=0
audio/basic=0
audio/x-aiff=0
audio/x-wav=3
image/tiff=3
application/postscript=3
video/mpeg=3
video/quicktime=3
video/x-msvideo=3
application/pdf=3
application/zip=3

; --------------------------------
;
; This section provides the DDE service names for preconfigured Mosaic SDI
; External Viewers.
;
[SDI_Viewers]
text/html=
text/plain=
image/jpeg=
image/gif=
audio/basic=
audio/x-aiff=
audio/x-wav=
image/tiff=
application/postscript=
video/mpeg=
video/quicktime=
video/x-msvideo=
application/pdf=
application/zip=
application/msword=

; --------------------------------
;
; This section provides the corresponding flags (from the RegisterViewer verb)
; for preconfigured Mosaic SDI External Viewers.
;
[SDI_Viewer_Flags]

; --------------------------------
;
[SecurityProtocols]
Simple=Digest_Load,SIMPLE.DLL
Basic=Basic_Load,BASIC.DLL

; --------------------------------
; This section is used during the install process
;
[Version]
Build=2.0.0.0

[Hotlist Window]
x=0
y=0
